package org.firstinspires.ftc.teamcode;

import com.qualcomm.robotcore.hardware.DcMotorEx;

public class MecanumDriveParameters {

    // Roadrunner tuning parameters
    public static final double INCHES_PER_TICK_VALUE = 125.5/42126.8333333;
    public static final double LATERAL_INCHES_PER_TICK_VALUE = 0.0026542073080477006;
    public static final double TRACK_WIDTH_IN_TICKS_VALUE = 4012.7667474312616;

    // FeedForward parameters (in tick units)
    public static final double KS_VALUE = 0.7579547290234911;
    public static final double KV_VALUE = 0.0005724562271687877;
    public static final double KA_VALUE = 0;

    // Robot motor configurations
    public static final String FRONT_LEFT_MOTOR = "Drive front lt";
    public static final String BACK_LEFT_MOTOR  = "Drive back lt";
    public static final String FRONT_RIGHT_MOTOR  = "Drive front rt";
    public static final String BACK_RIGHT_MOTOR  = "Drive back rt";
}
